Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05298 Crash/Freeze Critical (emulator) Always Sep 17, 2013, 21:13 Feb 26, 2015, 15:44
Tester Tafoid View Status Public Platform
Assigned To galibert Resolution Fixed OS
Status [?] Resolved Driver ip22.cpp
Version 0.150 Fixed in Version 0.160 Build Debug
Summary MESS-specific 05298: ip224613, ip225015: [debug] Assert after OK
Description
File: src/mess/drivers/ip22.c, Line 874
Expression: ((RTC_RAMMSB << 8) | RTC_RAMLSB) >= 0 && ((RTC_RAMMSB << 8) | RTC_RAMLSB) < 0x800
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.150
Affected Sets / Systems ip224613, ip225015
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.09831
Firewave
Senior Tester
Sep 24, 2013, 10:20
Confirmed. I added the assert in r24375 .
User avatar
No.11479
galibert
Developer
Feb 26, 2015, 15:42
Firmware bug, need to mask.